Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence
Enum UpdateAction

    java.lang.Object
      java.lang.Enum<UpdateAction>
          org.apache.openjpa.persistence.UpdateAction

All Implemented Interfaces:
  Serializable, Comparable<UpdateAction>

    public enum UpdateAction

extends Enum<UpdateAction>

Action to take when a field's value is changed.

Since:
  0.4.0
Author:
  Abe White

Enum Constant Summary
`IGNORE`
`RESTRICT`

Method Summary
`static UpdateAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UpdateAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IGNORE

    public static final UpdateAction IGNORE

### RESTRICT

    public static final UpdateAction RESTRICT

Method Detail

### values

    public static final UpdateAction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(UpdateAction c : UpdateAction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static UpdateAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.